// pages/login/login.ts
Page({

  /**
   * 页面的初始数据
   */
  data: {
    code: '',
    isAgree: false,
  },
  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    // 登录
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
        this.setData({
          code: res.code
        })
      },
    })
  },
  onLogin() {
    if(!this.data.isAgree) {
      wx.showToast({
        title: '请先阅读并勾选协议',
        icon: 'none'
      })
      return
    }
    // 登录
    wx.getUserProfile({
      desc: '获取用户信息',
      success: (res) => {
        console.log(res, 'res')
        
      },
      fail: (res) => {
        console.log(res, 'res')
      }
    })
  },
  onAgree(e: any) {
    this.setData({
      isAgree: !this.data.isAgree
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})