// pages/orders/orders.ts
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tabList: [
      {
        id: 0,
        label: "全部",
      },
      {
        id: 1,
        label: "待付款",
      },
      {
        id: 2,
        label: "已使用",
      },
      {
        id: 3,
        label: "已完成",
      },
      {
        id: 4,
        label: "已取消",
      }
    ],
    tabIdx: 0, // 当前选中的tab索引
    page: 1,
    rows: 10,
    recordList: [],
    maxPage: 1, // 总分页数
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {

  },
  /** 切换分类 */
  switchTab(e: { currentTarget: { dataset: { idx: any } } }) {
    const idx = e.currentTarget.dataset.idx;
    if (idx != this.data.tabIdx) {
      this.setData(
        {
          tabIdx: idx,
          page: 1,
          maxPage: 1,
          recordList: [],
        }
      );
    }
    // ,
    //     () => {
    //       this.queryRecords();
    //     }
  },
  /** 加载更多 */
  loadMore() {
    wx.showLoading({
      mask: true,
      title: "加载中...",
    });

    setTimeout(() => {
      wx.hideLoading()
    }, 3000);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})